# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.89"
name = "takumi"
version = "0.68.4"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Render your React components to images."
homepage = "https://takumi.kane.tw"
readme = "README.md"
keywords = [
    "react",
    "image",
    "css",
    "flexbox",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/kane50613/takumi"

[features]
default = [
    "woff2",
    "woff",
    "svg",
    "rayon",
    "detailed_css_error",
]
detailed_css_error = []
rayon = [
    "dep:rayon",
    "fast_image_resize/rayon",
]
svg = ["dep:resvg"]
woff = [
    "dep:wuff",
    "wuff/z",
]
woff2 = [
    "dep:wuff",
    "wuff/brotli",
]

[lib]
name = "takumi"
path = "src/lib.rs"

[[test]]
name = "fixtures"
path = "tests/fixtures.rs"

[[test]]
name = "font_tests"
path = "tests/font_tests.rs"

[[test]]
name = "measure_tests"
path = "tests/measure_tests.rs"

[[test]]
name = "test_utils"
path = "tests/test_utils.rs"

[dependencies.color]
version = "0.3"

[dependencies.cssparser]
version = "0.36"

[dependencies.dashmap]
version = "6.1"

[dependencies.data-url]
version = "0.3"

[dependencies.derive_builder]
version = "0.20"

[dependencies.fast_image_resize]
version = "6.0"
features = [
    "only_u8x4",
    "image",
]

[dependencies.image]
version = "0.25"
features = [
    "jpeg",
    "png",
    "webp",
]
default-features = false

[dependencies.image-webp]
version = "0.2"

[dependencies.libm]
version = "0.2"

[dependencies.parley]
version = "0.7"
features = ["libm"]
default-features = false

[dependencies.phf]
version = "0.13"
features = ["macros"]

[dependencies.png]
version = "0.18"

[dependencies.rayon]
version = "1.10"
optional = true

[dependencies.resvg]
version = "0.47"
optional = true
default-features = false

[dependencies.serde]
version = "1"
features = [
    "derive",
    "rc",
]

[dependencies.smallvec]
version = "1.15"
features = ["serde"]

[dependencies.swash]
version = "0.2"
features = [
    "libm",
    "scale",
]
default-features = false

[dependencies.taffy]
version = "0.9"
features = [
    "flexbox",
    "grid",
    "alloc",
    "taffy_tree",
    "strict_provenance",
    "block_layout",
]
default-features = false

[dependencies.thiserror]
version = "2.0"

[dependencies.unicode-linebreak]
version = "0.1"

[dependencies.wide]
version = "1.1"

[dependencies.wuff]
version = "0.2"
optional = true

[dependencies.xxhash-rust]
version = "0.8"
features = ["xxh3"]

[dependencies.zeno]
version = "0.3"
features = [
    "libm",
    "eval",
]
default-features = false

[dev-dependencies.serde_json]
version = "1"
